<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.muccore</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        Module&nbsp;muccore
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module muccore</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.muccore-pysrc.html">source&nbsp;code</a></span></p>
<p>Jabber Multi-User Chat implementation.</p>
<dl class="rst-docutils">
<dt>Normative reference:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a class="rst-reference external" href="http://www.jabber.org/jeps/jep-0045.html" target="_top">JEP 45</a></li>
</ul>
</dd>
</dl>

<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucXBase-class.html" class="summary-name">MucXBase</a><br />
      Base class for MUC-specific stanza payload - wrapper around
an XML element.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucX-class.html" class="summary-name">MucX</a><br />
      Wrapper for <a class="rst-rst-reference external rst-reference external" href="http://www.jabber.org/protocol/muc" target="_top">http://www.jabber.org/protocol/muc</a> namespaced
stanza payload &quot;x&quot; elements.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.HistoryParameters-class.html" class="summary-name">HistoryParameters</a><br />
      Provides parameters for MUC history management
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucItemBase-class.html" class="summary-name">MucItemBase</a><br />
      Base class for &lt;status/&gt; and &lt;item/&gt; element wrappers.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucItem-class.html" class="summary-name">MucItem</a><br />
      MUC &lt;item/&gt; element -- describes a room occupant.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucStatus-class.html" class="summary-name">MucStatus</a><br />
      MUC &lt;item/&gt; element - describes special meaning of a stanza
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucUserX-class.html" class="summary-name">MucUserX</a><br />
      Wrapper for <a class="rst-rst-reference external rst-reference external" href="http://www.jabber.org/protocol/muc#user" target="_top">http://www.jabber.org/protocol/muc#user</a> namespaced
stanza payload &quot;x&quot; elements and usually containing information
about a room user.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucOwnerX-class.html" class="summary-name">MucOwnerX</a><br />
      Wrapper for <a class="rst-rst-reference external rst-reference external" href="http://www.jabber.org/protocol/muc#owner" target="_top">http://www.jabber.org/protocol/muc#owner</a> namespaced
stanza payload &quot;x&quot; elements and usually containing information
about a room user.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucAdminQuery-class.html" class="summary-name">MucAdminQuery</a><br />
      Wrapper for <a class="rst-rst-reference external rst-reference external" href="http://www.jabber.org/protocol/muc#admin" target="_top">http://www.jabber.org/protocol/muc#admin</a> namespaced
IQ stanza payload &quot;query&quot; elements and usually describing
administrative actions or their results.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucStanzaExt-class.html" class="summary-name">MucStanzaExt</a><br />
      Base class for MUC specific stanza extensions.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucPresence-class.html" class="summary-name">MucPresence</a><br />
      Extend <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a> with MUC related interface.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muccore.MucIq-class.html" class="summary-name">MucIq</a><br />
      Extend <a href="pyxmpp.iq.Iq-class.html" class="link">Iq</a> with MUC related interface.
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="MUC_NS"></a><span class="summary-name">MUC_NS</span> = <code title="'http://jabber.org/protocol/muc'"><code class="variable-quote">'</code><code class="variable-string">http://jabber.org/protocol/muc</code><code class="variable-quote">'</code></code><br />
      hash(x)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="MUC_USER_NS"></a><span class="summary-name">MUC_USER_NS</span> = <code title="'http://jabber.org/protocol/muc#user'"><code class="variable-quote">'</code><code class="variable-string">http://jabber.org/protocol/muc#user</code><code class="variable-quote">'</code></code><br />
      hash(x)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="MUC_ADMIN_NS"></a><span class="summary-name">MUC_ADMIN_NS</span> = <code title="'http://jabber.org/protocol/muc#admin'"><code class="variable-quote">'</code><code class="variable-string">http://jabber.org/protocol/muc#admin</code><code class="variable-quote">'</code></code><br />
      hash(x)
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="MUC_OWNER_NS"></a><span class="summary-name">MUC_OWNER_NS</span> = <code title="'http://jabber.org/protocol/muc#owner'"><code class="variable-quote">'</code><code class="variable-string">http://jabber.org/protocol/muc#owner</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="affiliations"></a><span class="summary-name">affiliations</span> = <code title="('admin', 'member', 'none', 'outcast', 'owner')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">admin</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">member</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">none</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">outcast</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">owner</code><code class="variable-quote">'</code><code class="variable-group">)</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="roles"></a><span class="summary-name">roles</span> = <code title="('moderator', 'none', 'participant', 'visitor')"><code class="variable-group">(</code><code class="variable-quote">'</code><code class="variable-string">moderator</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">none</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">participant</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">visitor</code><code class="variable-quote">'</code><code class="variable-group">)</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'pyxmpp.jabber'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp.jabber</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <span title="libxml2">libxml2</span>,
  <a href="pyxmpp.utils-module.html#to_utf8" title="pyxmpp.utils.to_utf8">to_utf8</a>,
  <a href="pyxmpp.utils-module.html#from_utf8" title="pyxmpp.utils.from_utf8">from_utf8</a>,
  <span title="pyxmpp.xmlextra.common_doc">common_doc</span>,
  <span title="pyxmpp.xmlextra.common_root">common_root</span>,
  <span title="pyxmpp.xmlextra.common_ns">common_ns</span>,
  <a href="pyxmpp.xmlextra-module.html#get_node_ns_uri" title="pyxmpp.xmlextra.get_node_ns_uri">get_node_ns_uri</a>,
  <a href="pyxmpp.presence.Presence-class.html" title="pyxmpp.presence.Presence">Presence</a>,
  <a href="pyxmpp.iq.Iq-class.html" title="pyxmpp.iq.Iq">Iq</a>,
  <a href="pyxmpp.jid.JID-class.html" title="pyxmpp.jid.JID">JID</a>,
  <a href="pyxmpp.xmlextra-module.html" title="pyxmpp.xmlextra">xmlextra</a>,
  <a href="pyxmpp.objects.StanzaPayloadWrapperObject-class.html" title="pyxmpp.objects.StanzaPayloadWrapperObject">StanzaPayloadWrapperObject</a>,
  <a href="pyxmpp.xmlextra-module.html#xml_element_iter" title="pyxmpp.xmlextra.xml_element_iter">xml_element_iter</a>
</p><br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:57 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
